Loading...
Searching...
No Matches
XrdXrootdTransit.cc File Reference
`#include <cstring>`
`#include <unistd.h>`
`#include <sys/uio.h>`
`#include "XProtocol/XProtocol.hh"`
`#include "XrdSec/XrdSecEntity.hh"`
`#include "Xrd/XrdBuffer.hh"`
`#include "Xrd/XrdLink.hh"`
`#include "XrdOuc/XrdOucErrInfo.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSfs/XrdSfsInterface.hh"`
`#include "XrdSys/XrdSysAtomics.hh"`
`#include "XrdXrootd/XrdXrootdStats.hh"`
`#include "XrdXrootd/XrdXrootdTrace.hh"`
`#include "XrdXrootd/XrdXrootdTransit.hh"`
`#include "XrdXrootd/XrdXrootdTransPend.hh"`
`#include "XrdXrootd/XrdXrootdTransSend.hh"`
Include dependency graph for XrdXrootdTransit.cc:

Go to the source code of this file.

## Macros

#define | KXR_INDEX(x)
#define | TRACELINK Link
#define | XRD_GETNUM(x)

## Variables

XrdSysTrace | XrdXrootdTrace

## Macro Definition Documentation

## KXR_INDEX

#define KXR_INDEX | ( |  | x | ) |

Value:
x-kXR_auth
kXR_auth
@ kXR_auth
Definition XProtocol.hh:112

Definition at line 492 of file XrdXrootdTransit.cc.

Referenced by XrdXrootdTransit::ReqTable().

## TRACELINK

#define TRACELINK Link

Definition at line 58 of file XrdXrootdTransit.cc.

## XRD_GETNUM

#define XRD_GETNUM | ( |  | x | ) |

Value:
ntohl(*(static_cast<unsigned int *>(static_cast<void *>(x))))

Definition at line 60 of file XrdXrootdTransit.cc.

#define XRD_GETNUM(x)\
ntohl(*(static_cast<unsigned int *>(static_cast<void *>(x))))

Referenced by XrdXrootdTransit::Send().

## Variable Documentation

## XrdXrootdTrace

XrdSysTrace XrdXrootdTrace

extern

Definition at line 96 of file XrdFrmAdminMain.cc.